﻿<UserControl x:Class="WPF1.Views.BooksView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:WPF1.Views"
             mc:Ignorable="d" Height="350" Width="600">
    <DockPanel>
        <ToolBarTray DockPanel.Dock="Top">
            <ToolBar>
                <Button Content="Add" Command="{Binding Path=AddCommand}" CommandParameter="{Binding RelativeSource={RelativeSource Self}, Path=DataContext}"/>
                <Button Content="Edit" Command="{Binding Path=EditCommand}" CommandParameter="{Binding RelativeSource={RelativeSource Self}, Path=DataContext}"/>
                <Button Content="Delete" Command="{Binding Path=DeleteCommand}" CommandParameter="{Binding RelativeSource={RelativeSource Self}, Path=DataContext}"/>
                <Button Content="New window" Command="{Binding Path=NewWindowCommand}" CommandParameter="{Binding RelativeSource={RelativeSource Self}, Path=DataContext}"/>
                <TextBox Height="25" Margin="0" TextWrapping="Wrap" Text="{Binding FilterText, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" Width="120"/>
            </ToolBar>
        </ToolBarTray>
        <TextBlock DockPanel.Dock="Bottom" Text="{Binding CountMessage}"/>
        <ListView  x:Name="booksListView" ItemsSource="{Binding Books}" SelectedItem="{Binding SelectedBook, Mode=TwoWay}" Margin="0,0,0,0.4" Grid.Row="1" Grid.ColumnSpan="2">
            <ListView.View>
                <GridView>
                    <GridViewColumn Header="Title" Width="220" DisplayMemberBinding="{Binding Title}"/>
                    <GridViewColumn Header="Author" Width="120" DisplayMemberBinding="{Binding Author}"/>
                    <GridViewColumn Header="Genre" Width="80" DisplayMemberBinding="{Binding Genre}"/>
                    <GridViewColumn Header="PublishDate" Width="100" DisplayMemberBinding="{Binding PublishDate}"/>
                </GridView>
            </ListView.View>
        </ListView>
    </DockPanel>
</UserControl>
